Que estoy haciendo mal, DPKG?

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Avatar de Usuario
zenaku
Forista Nuevo
Forista Nuevo
Mensajes: 2
Registrado: Sab Jul 19, 2008 7:00 am

Que estoy haciendo mal, DPKG?

Mensaje por zenaku » Mar May 29, 2018 2:02 am

Hola , disculpen posteo aca una inquietud con kali
me presenta el siguiente error

# dpkg --configure -a
dpkg: error al procesar el paquete python-crypto (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
dpkg: problemas de dependencias impiden la configuración de python-gobject:
python-gobject depende de python-gi (>= 3.28.2-1); sin embargo:
La versión de `python-gi' en el sistema es 3.28.1-1.

dpkg: error al procesar el paquete python-gobject (--configure):
problemas de dependencias - se deja sin configurar
Configurando python-rsa (3.4.2-1) ...
/var/lib/dpkg/info/python-rsa.postinst: 6: /var/lib/dpkg/info/python-rsa.postinst: pycompile: not found
dpkg: error al procesar el paquete python-rsa (--configure):
installed python-rsa package post-installation script subprocess returned error exit status 127
dpkg: error al procesar el paquete sqlmap (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
dpkg: error al procesar el paquete dnsrecon (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
dpkg: error al procesar el paquete python-pefile (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
Configurando python-fuzzywuzzy (0.16.0-2) ...
/var/lib/dpkg/info/python-fuzzywuzzy.postinst: 6: /var/lib/dpkg/info/python-fuzzywuzzy.postinst: pycompile: not found
dpkg: error al procesar el paquete python-fuzzywuzzy (--configure):
installed python-fuzzywuzzy package post-installation script subprocess returned error exit status 127
dpkg: error al procesar el paquete python-twisted-core (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
dpkg: error al procesar el paquete python-gi (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
dpkg: error al procesar el paquete python-scapy (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
Configurando python-pyexiv2 (0.3.2-8+b3) ...
/var/lib/dpkg/info/python-pyexiv2.postinst: 6: /var/lib/dpkg/info/python-pyexiv2.postinst: pycompile: not found
dpkg: error al procesar el paquete python-pyexiv2 (--configure):
installed python-pyexiv2 package post-installation script subprocess returned error exit status 127
dpkg: problemas de dependencias impiden la configuración de eyewitness:
eyewitness depende de python-fuzzywuzzy; sin embargo:
El paquete `python-fuzzywuzzy' no está configurado todavía.
eyewitness depende de python-selenium; sin embargo:
El paquete `python-selenium' no está configurado todavía.
eyewitness depende de python-rsa; sin embargo:
El paquete `python-rsa' no está configurado todavía.

dpkg: error al procesar el paquete eyewitness (--configure):
problemas de dependencias - se deja sin configurar
Configurando dpkg (1.19.0.5kali1) ...
dpkg: error al procesar el paquete python-lxml (--configure):
El paquete está en un estado grave de inconsistencia - debe reinstalarlo
antes de intentar su configuración.
dpkg: problemas de dependencias impiden la configuración de python-twisted:
python-twisted depende de python-twisted-core (>= 17.9.0-2); sin embargo:
La versión de `python-twisted-core' en el sistema es 17.9.0-1.

dpkg: error al procesar el paquete python-twisted (--configure):
problemas de dependencias - se deja sin configurar
Procesando disparadores para man-db (2.8.2-1) ...
Configurando python-easyprocess (0.2.3-1) ...
/var/lib/dpkg/info/python-easyprocess.postinst: 6: /var/lib/dpkg/info/python-easyprocess.postinst: pycompile: not found
dpkg: error al procesar el paquete python-easyprocess (--configure):
installed python-easyprocess package post-installation script subprocess returned error exit status 127
dpkg: problemas de dependencias impiden la configuración de firefoxdriver:
firefoxdriver depende de python-selenium (>= 2.53.0); sin embargo:
El paquete `python-selenium' no está configurado todavía.

dpkg: error al procesar el paquete firefoxdriver (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de python-qt4reactor:
python-qt4reactor depende de python-twisted-core; sin embargo:
El paquete `python-twisted-core' no está configurado todavía.

dpkg: error al procesar el paquete python-qt4reactor (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de ndiff:
ndiff depende de python-lxml; sin embargo:
El paquete `python-lxml' no está configurado todavía.

dpkg: error al procesar el paquete ndiff (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de python-pyvirtualdisplay:
python-pyvirtualdisplay depende de python-easyprocess; sin embargo:
El paquete `python-easyprocess' no está configurado todavía.

dpkg: error al procesar el paquete python-pyvirtualdisplay (--configure):
problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de zenmap:
zenmap depende de ndiff; sin embargo:
El paquete `ndiff' no está configurado todavía.

dpkg: error al procesar el paquete zenmap (--configure):
problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
python-crypto
python-gobject
python-rsa
sqlmap
dnsrecon
python-pefile
python-fuzzywuzzy
python-twisted-core
python-gi
python-scapy
python-pyexiv2
eyewitness
python-lxml
python-twisted
python-easyprocess
firefoxdriver
python-qt4reactor
ndiff
python-pyvirtualdisplay
zenmap


He intentado con estos comando sin exito
Que estoy haciendo mal ?
Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3303
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Que estoy haciendo mal, DPKG?

Mensaje por doc » Mar May 29, 2018 10:42 am

en mi opinión, a tu pregunta de qué es lo que estás haciendo mal, yo diría que es el planteamiento de tu problema. Porque solo tu sabes qué es lo que has hecho, o qué es lo que tienes, o qué es lo que estás intentando hacer, y a los demás solo nos presentas un extenso reporte de errores (inconsistencias, problemas de dependencias, avisos de errores durante el procesado...) en general relacionado con python, que lo único que indican es que si, que tienes el sistema hechos unos zorros.

Pero no somos adivinos... ni veterinarios (el veterinario es experto en detectar una dolencia sin que el paciente le informe de nada).
Avatar de Usuario
zenaku
Forista Nuevo
Forista Nuevo
Mensajes: 2
Registrado: Sab Jul 19, 2008 7:00 am

Re: Que estoy haciendo mal, DPKG?

Mensaje por zenaku » Mar May 29, 2018 10:54 pm

Ante todo gracias por tu atencion ,¡¡

como te comente he ejecutado el siguiente comando:

# dpkg --configure -a (el cual me arroja los errores que ves anteriormente)


He intentado con estos comandos para resolverlo sin exito
Que estoy haciendo mal ?


sudo apt-get autoclean

Force installation/removal of packages. ☠Use with caution

sudo apt-get --force-yes install <pkgname>

and

sudo apt-get --force-yes remove <pkgname>

Also as always, you can use dpkg to install, remove and purge packages.

Install

sudo dpkg -i <pkgname>

Remove

sudo dpkg -r <pkgname>

Purge

sudo dpkg -P <pkgname>

Gracias ante todo.¡¡¡ Estare atento a tus comentarios
Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3303
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Que estoy haciendo mal, DPKG?

Mensaje por doc » Mar May 29, 2018 11:56 pm

no uso dpkg pero, por aquello de las dependencias... ¿no te iría mejor aptitude?
¿y/o dpkg-reconfigure...?
Avatar de Usuario
neurus
Forista Legendario
Forista Legendario
Mensajes: 1807
Registrado: Dom Oct 10, 2004 7:00 am

Re: Que estoy haciendo mal, DPKG?

Mensaje por neurus » Mié May 30, 2018 1:55 am

Mientras python esté mal instalado, no se podrá arreglar nada de lo demás.

Sólo veo un comando en tu primer post. En cualquier caso, lo primero que se debe probar en esos casos es:

apt-get -f install

Luego, si falla, hay toda una serie de comandos intermedios, en orden creciente de dificultad y riesgo.

Finalmente, con esta idea, lo compones o lo rompes del todo.

Insisto, sin embargo, en que antes de llegar a esos extremos, trates de reinstalar o arreglar el paquete python. Los demás se arreglarán solos.
Y es buena idea la de doc: usa aptitude y lee detenidamente las sugerencias. En algún caso, puede proponerte hacer un downgrade de paquetes, pero es muy improbable que no lo arregle.
aptitude install python-crypto es un buen comienzo.
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje